package ei.engine.test;

import ei.engine.LWJGLGameWindow;
import ei.engine.effects.BitmapText;
import ei.engine.math.Vector2f;

public class TextTest extends LWJGLGameWindow{
	private BitmapText text;
	private float pos;

	public static void main(String[] args){
		new TextTest();
	}
	
	public TextTest() {
		super("TextTest");
	}

	protected void init(){
		text = new BitmapText("Test text");
		text.setText("ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789");
		pos = 0;
	}
	
	protected void update() {
		super.update();
		pos += 0.2f;
		text.setLocation(new Vector2f(200+pos,200+pos));
		text.update();
	}
	
	/**
	 * this method shid be overriden
	 */
	protected void render(){
		text.render();
	}
}
